body {
    margin: 20px 420px 20px 50px;
    max-width: none;
    width: initial;
}

#controls {
    position: fixed;
    width: 350px;
    top: 20px;
    right: 20px;
    padding: 5px 10px;
    border: 1px solid rgba(0,0,0,0.2);
    box-shadow: 1px 1px 3px rgba(0,0,0,0.2);
    border-radius: 5px;
    background-color: #e9e9e9;
}

a[href^="#"] { font-size: 1em; border-bottom: 1px dotted; }
a[href^="https://www.zaproxy.org/docs/internal-statistics"] { font-size: 1em; margin: 0 }

/* Tooltip container */
span.tooltip {
    position: relative;
    display: inline-block;
    cursor: help;
    border-bottom: 1px dashed;
}

/* Tooltip text */
.tooltiptext {
    visibility: hidden; /* Hidden by default */
    width: 160px;
    background-color: black;
    color: #ffffff;
    text-align: center;
    padding: 5px;
    border-radius: 6px;
    position: absolute;
    z-index: 1; /* Ensure tooltip is displayed above content */
    text-shadow: none;
}
.tooltiptext.zap-stat {
    text-align: left;
    width: 400px;
    font-size: 0.9em;
}
.tooltiptext.undocumented {
    background-color: #999;
    text-align: center;
}

/* Show the tooltip text on hover */
.tooltip:hover .tooltiptext {
visibility: visible;
}

.screenshot-button {
    padding: 0;
    margin: 0;
    margin-right: 10px;
    border-radius: 5px;
    border: 1px solid #aaa;
    cursor: pointer;
}
.no-screenshot {
    border: 1px solid #aaa;
    margin-right: 10px;
}
.screenshot {
    max-width: 350px;
    max-height: 150px;
    border-radius: 5px;
}
#large-screenshot {
    max-width: 90%;
    max-height: 90%;
}

.login-step {
    margin-left: 5px;
    margin-bottom: 20px;
    padding: 10px 20px;
    border-left: 1px solid #ccc;
}
.login-step:nth-child(odd) { background-color: rgba(0,0,0,0.05) }
.login-step .step-info {
    display: flex;
    flex-direction: row;
    margin-bottom: 10px;
}

.dom-details { border-collapse: collapse; display: inline-table; margin: 5px }
.dom-details tr, .dom-details td, .dom-details th {
    border: 1px solid #ccc;
    padding: 1px 3px;
    line-height: 1.2em;
}

.special-value { color: #444; }

.message pre {
    margin: 0;
    font-size: 0.8em;
}

input.value {
    border: 0;
    background-color: transparent;
    width: calc(100% - 40px);
}

input.hide-secret {
    color: #000;
    background-color: #000;
    text-shadow: none;
    font-family: monospace;
}
input.hide-secret:focus {
    color: inherit;
    background-color: transparent;
    text-shadow: inherit;
}

summary { cursor: help }

.code-block, #auth_report_json {
    display: block;
    width: 700px;
    max-width: 100%;
    height: 400px;
    white-space: pre;
    overflow-wrap: normal;
    overflow-x: scroll;
}
.message-block {
    display: block;
    width: 100%;
    height: 250px;
    resize: vertical;
    white-space: pre;
    overflow-wrap: normal;
    overflow-x: scroll;
}

.align-right { text-align: right }

legend {
    max-width: 750px;
    text-overflow: ellipsis;
    overflow: hidden;
    text-wrap: nowrap;
}

#tooltip_display {
    background-color: #333;
    color: #fff;
    padding: 2px 5px;
    position: absolute;
    font-size: 0.9em;
    text-shadow: none;
    border-radius: 3px;
}
#tooltip_display:visible { display: inline-block }